.head {
  &-ctn {
    display: flex;
    flex: 1;
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    z-index: 1;
  }

  &-animated-ctn {
    display: flex;
    flex: 1;
    background-color: var(--pr-main-bg-color);
    transition: transform 0.2s ease-in;
  }
  &-animated {
    display: flex;
    flex: 1;
    flex-direction: row;
  }

  &-back-btn {
    margin-left: 1rem;

    &-icon {
      transform: rotate(90deg);
    }
  }
}

.content {
  &-stack {
    display: flex;
    height: calc(100vh - 51px);
    margin-top: 51px;
  }
  &-pages-ctn {
    position: relative;
    display: flex;
    flex: 1;
  }
  &-page {
    display: flex;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    top: 0;
    transition: transform 0.2s ease-in;
    background-color: var(--color-background, var(--pr-main-bg-color));
    overflow: auto;
    transform: translate3d(-100%, 0, 0);

    &--visible {
      transform: translate3d(0, 0, 0);
    }

    &-blocks-list {
      display: flex;
      flex: 1;
      flex-direction: column;
      max-width: 100%;
      overflow: auto;

      &-block {
        display: flex;
        flex: 1;
        scroll-snap-align: start;
        max-height: 100%;
      }
    }
  }
}
